import request from '@/utils/request'

// 创建问卷调查答案
export function createWqda(data) {
  return request({
    url: '/system/wqda/create',
    method: 'post',
    data: data
  })
}

// 更新问卷调查答案
export function updateWqda(data) {
  return request({
    url: '/system/wqda/update',
    method: 'put',
    data: data
  })
}

// 删除问卷调查答案
export function deleteWqda(id) {
  return request({
    url: '/system/wqda/delete?id=' + id,
    method: 'delete'
  })
}

// 获得问卷调查答案
export function getWqda(id) {
  return request({
    url: '/system/wqda/get?id=' + id,
    method: 'get'
  })
}

// 获得问卷调查答案分页
export function getWqdaPage(query) {
  return request({
    url: '/system/wqda/page',
    method: 'get',
    params: query
  })
}

// 获得问卷调查答案分页
export function getWqdaSum(query) {
  return request({
    url: '/system/wqda/sum',
    method: 'get',
    params: query
  })
}

// 导出问卷调查答案 Excel
export function exportWqdaExcel(query) {
  return request({
    url: '/system/wqda/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
